VectorLinux
September 21, 2014, 11:47:23 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: 1 [2]
  Print  
Author Topic: Multimedia Bonus Disc Alpha 3 Released  (Read 5536 times)
Dweeberkitty
Packager
Vectorian
****
Posts: 836



WWW
« Reply #15 on: December 05, 2007, 08:02:13 am »

In addition, if the multimedia bonus disc (from here 'mbd' Grin) is intented as a 'stand alone disc', i.e, it will include the apps and ALL the deps, should include kdelibs.
You know very well that it makes no sense to include ALL the deps, it would never fit. Instead, include just the ones that aren't on 5.9 standard already. kdelibs already comes with VL 5.9, no need to have people double download it. The version on 5.9 rc3 SHOULD be updated to the last one in the repo when it's rc4 time though.

The kdebase on this 'mbd' overwrote my perfectly working kdebase (I used the install.sh script). Ultra annoying, had to reinstall the one in the repo to get the VL customized one back.

Oh, sorry about that. I must have an older package of kdebase that doesn't have the VL customizations. I'll fix that.
Logged

Registered Linux User #443399
Desktop: Intel Pentium D 3.33Ghz, 320GB hard drive, 2 gigs DDR2 533mhz RAM, NVIDIA Geforce 7800 GS, X2GEN 22" widescreen monitor;
Laptop: Dell Mini 9, Intel Atom 1.6Ghz, 1GB ram
Multimedia Bonus Disc website: http://www.vectorlinuxsolutions.com/
The Headacher
Louder than you
Global Moderator
Vectorian
*****
Posts: 1548


I like the bass to go BOOM!


WWW
« Reply #16 on: December 05, 2007, 03:56:14 pm »

Yep, I know, when I said 'all' I meant 'all missing in the iso', there was nothing else intented in my post, sorry if it sounded in a wrong way. I understand from the Uel post that the kdelibs package is not the full vanilla kde package.I assume is a trimed one with the necessary stuff for 5.9 Std. In that case, kdelibs becomes a dependency not available in the system.
D'oh! How did I miss that ? Sorry...  Embarrassed . A crippled kdelibs on 5.9?? Bad! How cool would it be if you could just get kdebase and have a kde desktop?

I don't know if the cripple was intentional, but if so it shouldn't be crippled. If trimming it is seen as a necessity the package name shouldn't be kdelibs but something like kdelibs-mutilated Wink.

Quote
LOL I like your new 'Louder than you' sign, nobody could say it doesn't fit with your avatar Smiley. And, after all, a global moderator is who speaks louder Wink
Well, I used to have something else but decided it was too rude for this gentle forum. I did mean to make an updated version of that avatar, but I still haven't finished it (I'm not a very good animator in case you haven't noticed Grin).  I hardly ever have to use my moderation powers, and I sure hope we can keep it that way. And if I speak too loud there's always someone to correct me  Cheesy.

Quote
Oh, sorry about that. I must have an older package of kdebase that doesn't have the VL customizations. I'll fix that.
Well, serves me right for just installing the lazy way Wink. I was glad that reinstalling kdebase was all it took to fix things. It's still a very nice release.
Logged

Most music on my soundcloud page was arranged in programs running on VL.
rbistolfi
Packager
Vectorian
****
Posts: 2283


« Reply #17 on: December 05, 2007, 04:21:54 pm »

I don't know if the cripple was intentional, but if so it shouldn't be crippled. If trimming it is seen as a necessity the package name shouldn't be kdelibs but something like kdelibs-mutilated Wink.

Well, in that way I understand Uel's words:
the full kdelibs package is not on the last 5.9 iso

Uel, we need you to make it clear  Cheesy. I think the root of the problem is indeed, the name of the package. I am surpraised the kdelibs package in the iso worked for you. It didn't for me. Nightflier had no luck (take a look to the amarok thread) and Florut (a new member who can't run olders vl versions on his hard and want's kde) reported the same problem. Are you sure you didn't upgrade  kdelibs from the testing repo? I slapt-geted kdebase and some apps works (like konsole) and many don't, like konqueror. Perhaps is just the packages have been built against other version and for some reason slapt-get is not upgrading automagically to the latest kdelibs. I suspect a problem with the names of the packages.

Quote
Well, I used to have something else but decided it was too rude for this gentle forum.

LOL I missed that one. I prefer mans with strong opinions and hard attitude than the nice guys. Perhaps because I wish to be the 'Clint Eastwood' style but I am just... complete with some pop singer  Cheesy

Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
Dweeberkitty
Packager
Vectorian
****
Posts: 836



WWW
« Reply #18 on: December 06, 2007, 05:39:47 pm »

Headacher, I have the kdelibs and kdebase stuff fixed. I also fixed the ladspa plugin dependencies and jamin. Beta 1 is just around the corner and will have those things fixed. I'll need you to test those things for me once I release Beta 1. Thanks, and please keep testing!
Logged

Registered Linux User #443399
Desktop: Intel Pentium D 3.33Ghz, 320GB hard drive, 2 gigs DDR2 533mhz RAM, NVIDIA Geforce 7800 GS, X2GEN 22" widescreen monitor;
Laptop: Dell Mini 9, Intel Atom 1.6Ghz, 1GB ram
Multimedia Bonus Disc website: http://www.vectorlinuxsolutions.com/
Pages: 1 [2]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!